/* ----- POPPINS FONT Link ----- */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

:root {
    /* Backgrounds */
    --bg-dark: #010522;
    --bg-dark: #000000c0;
    --bg-darker: #170e02;
    --bg-light: #f8fafc;
    --bg-card-dark: #00000031;
    --bg-card-light: #ffffff;

    --nav-footer-bg: #01247552;
    --nav-footer-bg: rgba(0, 0, 0, 0.055);

    --text-light: #f1f5f9;
    --text-dark: #334155de;
    --text-muted: #b8b7b5bd;

    --primary: rgba(223, 149, 12, 0.774);
    --primary-hover: #4f46e5;
    --secondary: #0ea5e9;
    --accent: #f59e0b;

    --shadow-sm: 0 1px 2px 0 rgb(0 0 0 / 0.05);
    --shadow-md: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
    --shadow-lg: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
    --shadow-glow: 0 0 15px rgba(99, 102, 241, 0.3);

    --border-dark: rgba(226, 216, 225, 0.055);
    --border-dark-hover: rgba(133, 3, 255, 0.603);
    --border-light: #e2e8f0;
}

/* ----- BASE ----- */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

html {
    scroll-behavior: smooth;
}

body {
    background: var(--bg-dark);
    color: var(--text-light);
    overflow-x: hidden;
    line-height: 1.6;
}

body.light-mode {
    background: var(--bg-light);
    color: var(--text-dark);
}

a {
    text-decoration: none;
    color: inherit;
    transition: 0.3s;
}

ul {
    list-style: none;
}

/* ----- SCROLLBAR ----- */
::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: var(--bg-darker);
}

::-webkit-scrollbar-thumb {
    background: var(--text-muted);
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background: var(--primary);
}

/* ----- LAYOUT ----- */
.container {
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.container-off-footer {
    width: 100%;
}

.wrapper {
    max-width: 1300px;
    margin: 0 auto;
    padding-inline: 2rem;


}


.section {
    padding-block: 6rem;
}

/* ----- NAVIGATION ----- */
nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 80px;
    z-index: 100;
    background-color: var(--nav-footer-bg);
    backdrop-filter: blur(10px);
    border-bottom: 1px solid var(--border-dark);
    display: flex;
    justify-content: center;
}

.nav-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    height: 100%;
    max-width: 1300px;
    width: 100%;
    margin: 0 auto;
    padding-inline: 2rem;
}

body.light-mode nav {
    background-color: rgba(255, 255, 255, 0.85);
    border-bottom: 1px solid var(--border-light);
}

.nav-logo {
    position: relative;
    justify-self: start;
    order: 1;
}

.nav-name {
    font-size: 1.8rem;
    font-weight: 700;
    color: var(--text-light);
}

body.light-mode .nav-name {
    color: var(--text-dark);
}

.nav-menu {
    justify-self: center;
    order: 2;
}

.nav-menu ul {
    display: flex;
    gap: 2rem;
}

.nav_list {
    width: 5rem;
}

.nav-link {
    font-weight: 500;
    color: var(--text-light);
}

body.light-mode .nav-link {
    color: var(--text-dark);
}

.nav-link:hover {
    transition: 0.4s;
    height: 2px;
    color: var(--text-muted);
}

body.light-mode .nav-link:hover {
    color: var(--text-muted);
}

.social_icons {
    display: flex;
    gap: 15px;
    align-items: center;
    justify-self: end;
    order: 3;
}

.icon-i {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 36px;
    height: 36px;
    border-radius: 15%;
    box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.25);
    cursor: pointer;
    transition: 0.3s;
    background-color: #1340d3ba;
    color: rgb(246, 238, 238);
}

.icon-i a {
    display: flex;
    text-align: center;
    color: inherit;
}

.icon-i i {
    color: rgb(246, 238, 238);
}

.icon-i img {
    height: 34px;
    border-radius: 50%;
    background-color: rgba(255, 255, 255, 0.824);
}

.icon-i:hover {
    background-color: var(--primary-hover);
    transition: 0.3s;
}

body.light-mode .icon-i {
    background-color: #2d56dfba;
}

body.light-mode .icon-i:hover {
    background-color: #5f5e5e;
}

.nav-menu-btn {
    display: none;
    font-size: 1.5rem;
    cursor: pointer;
    position: absolute;
    right: 2rem;
    top: 50%;
    transform: translateY(-50%);
}

/* ----- HERO SECTION ----- */
.featured-box {
    position: relative;
    height: 100vh;
    width: 100%;
    max-width: none;
    margin: 0;
    /* Fondo GIF expansivo */
    /*background: linear-gradient(rgba(2, 6, 23, 0.8), rgba(2, 6, 23, 0.8)),
        url('../images/background/dev-pannel-main.gif');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;*/
}

.featured-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4rem;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    padding-inline: 2rem;
}

.featured-box::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 150px;
    pointer-events: none;
}


body.light-mode .featured-box {
    background: none;
}

body.light-mode .featured-box::after {
    display: none;
}

body.light-mode .featured-image {
    display: flex;
}

.featured-text {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    align-items: center;
}

.featured-name {
    font-size: 2.6rem;
    font-weight: 700;
    margin-bottom: 1rem;
    color: var(--text-light);
    min-height: 3.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

body.light-mode .featured-name {
    color: var(--text-dark);
}

.typedText {
    color: var(--primary);
    text-transform: capitalize;
}

.featured-text-info {
    font-size: 1.1rem;
    color: var(--text-muted);
    margin-bottom: 2rem;
    max-width: 600px;
}

body.light-mode .featured-text-info {
    color: var(--text-dark);
}

.featured-image {
    display: flex;
    flex: 1;
    justify-content: center;
    align-items: center;
}

.image {
    width: 350px;
    height: 350px;
    border-radius: 50%;
    overflow: hidden;
    border: 5px solid var(--primary);
    box-shadow: var(--shadow-glow);
    animation: float 6s ease-in-out infinite;
}

.image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@keyframes float {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-20px);
    }
}

/* Scroll Down Button */
.scroll-icon-box {
    position: absolute;
    bottom: 2rem;
    left: 50%;
    transform: translateX(-50%);
}

.scroll-btn {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 0.8rem 1.5rem;
    background: transparent;
    border: 1px solid var(--text-muted);
    border-radius: 2rem;
    color: var(--text-light);
    font-size: 0.9rem;

}

body.light-mode .scroll-btn {
    color: var(--text-dark);
    border-color: var(--text-dark);
}

.scroll-btn:hover {
    background: var(--primary);
    border-color: var(--primary);
    color: white;
}

body.light-mode .scroll-btn:hover {
    background: var(--primary-hover);
    border-color: var(--primary);
    color: white;
}

/* ----- BUTTONS ----- */
.btn {
    padding: 10px 24px;
    background: var(--primary);
    color: white;
    border: none;
    border-radius: 8px;
    font-size: 1rem;
    font-weight: 500;
    cursor: pointer;
    transition: 0.3s;
    box-shadow: var(--shadow-md);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.btn:hover {
    background: var(--primary-hover);
    transform: translateY(-2px);
    box-shadow: var(--shadow-lg);
}

.btn-share {
    background: rgba(223, 6, 6, 0.025);
    border: 1px solid var(--text-muted);
    color: rgba(255, 255, 255, 0.69);
    border-radius: 8px;
}

body.light-mode .btn-share {
    background: rgba(223, 6, 6, 0.025);
    border: 1px solid var(--border-light);
    color: var(--text-dark);
}

.btn-share:hover {
    background: rgba(13, 16, 156, 0.345);
    border-color: rgba(255, 255, 255, 0.396);
    color: white;
}

body.light-mode .btn-share:hover {
    background: rgba(0, 4, 255, 0.055);
    border-color: rgba(0, 0, 0, 0.324);
    color: rgba(0, 0, 0, 0.811);
}

/* ----- SECTIONS HEADERS ----- */
.top-header {
    text-align: center;
    margin-bottom: 4rem;
}

.top-header h2 {
    font-size: 2.5rem;
    font-weight: 600;
    margin-bottom: 0.5rem;
    color: var(--text-light);
}

body.light-mode .top-header h2 {
    color: var(--text-dark);
}

/* ----- ABOUT SECTION ----- */
.about-info {
    background: var(--bg-card-dark);
    padding: 2rem;
    border-radius: 7px;
    text-align: center;
    box-shadow: var(--shadow-md);
    border: 1px solid var(--border-dark);

}

body.light-mode .about-info {
    background: var(--bg-card-light);
    border: 1px solid var(--border-light);
}


.about-info h3 {
    margin-bottom: 1rem;
    font-size: 1.5rem;
}

.about-info p {
    color: var(--text-muted);
    margin-bottom: 2rem;
}

body.light-mode .about-info p {
    color: var(--text-dark);
}


/* ----- SKILLS SECTION ----- */
.section-skill-box {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    justify-content: center;


}

.skills-box {
    flex: 1;
    min-width: 200px;
    background: var(--bg-card-dark);
    padding: 1.5rem;
    border-radius: 12px;
}

body.light-mode .skills-box {
    background: var(--bg-card-light);
    border: 1px solid var(--border-light);
}

.skills-header h3 {
    margin-bottom: 1rem;
    font-size: 1.2rem;
    color: var(--primary);
}

.skills-list {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;

}

.skills-box-icon {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.8rem;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 8px;
    transition: all 0.3s ease;

}

.skills-box-icon img,
.skills-box-icon i {
    width: 24px;
    height: 24px;
}

/* ----- SKILLS SECTION (Infinite Carousel) ----- */
.tech-carousel-container {
    width: 100%;
    overflow: hidden;
    padding: 3.5rem 0;
    border: 1px solid var(--border-dark);
    position: relative;
    background: #00000031;
    border-radius: 8px;
    cursor: grab;
    user-select: none;
    margin-bottom: 2rem;
    text-align: center;
}

.tech-carousel-title {
    margin-bottom: 2rem;
}

.tech-carousel-container.grabbing {
    cursor: grabbing;
}

body.light-mode .tech-carousel-container {
    background: var(--bg-card-light);
    border-color: var(--border-light);
}

.tech-carousel-track {
    display: flex;
    width: max-content;
    gap: 2rem;
    align-items: center;
    will-change: transform;
}

.carousel-label {
    padding: 0.8rem 1.5rem;
    background: var(--primary);
    color: white;
    border-radius: 0.51rem;
    font-weight: 600;
    font-size: 0.9rem;
    white-space: nowrap;
    margin-inline: 1rem;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.tech-carousel-track .skills-box-icon {
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.8rem;
    padding: 1.2rem;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 12px;
    min-width: 130px;
    transition: 0.3s;
}


body.light-mode .tech-carousel-track .skills-box-icon {
    background: #f1f5f9;
}

.tech-carousel-track .skills-box-icon:hover {
    transform: translateY(-5px);
}

.tech-carousel-track .skills-box-icon img,
.tech-carousel-track .skills-box-icon i {
    width: 65px;
    height: 65px;
    font-size: 65px;
}

.tech-carousel-track .skills-box-icon span {
    font-size: 0.85rem;
    font-weight: 500;
}

/* ----- PROJECTS SECTION ----- */
.filter-buttons {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin-bottom: 3rem;
    flex-wrap: wrap;
}

.filter-buttons button {
    padding: 0.6rem 1.5rem;
    background: var(--bg-card-dark);
    border: 1px solid var(--text-muted);
    color: var(--text-light);
    border-radius: 0.51rem;
    cursor: pointer;
    transition: 0.3s;
}

body.light-mode .filter-buttons button {
    color: var(--text-dark);
    border-color: var(--text-muted);
    background: var(--bg-card-light);

}

body.light-mode .filter-buttons button:hover {
    background: var(--accent);
    color: var(--text-light);
}

.filter-buttons button:hover,
.filter-buttons button.active {
    background: var(--primary);
    border-color: var(--primary);
    color: white;
}

.project-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2rem;
}

.project-container-box {
    width: 350px;
    background: var(--bg-card-dark);
    border: 1px solid var(--border-dark);
    border-radius: 12px;
    overflow: hidden;
    transition: 0.3s;
    box-shadow: var(--shadow-md);
    display: flex;
    flex-direction: column;
    position: relative;
    padding: 1.5rem;
}

body.light-mode .project-container-box {
    background: var(--bg-card-light);
    border: 1px solid var(--border-light);
}

.project-container-box:hover {
    transform: translateY(-5px);
    box-shadow: var(--shadow-lg);
    box-shadow: #6262632a 4px 3px 12px;
    border-radius: none;
}

.project-img-container {
    width: 100%;
    height: 200px;
    overflow: hidden;
    position: relative;
    margin-bottom: 25px;
}

.project-box-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: opacity 0.3s ease;
}

.project-box-icon-clic-img {
    top: 3px;
    left: 3px;
    height: 1.9rem;
    background-color: rgb(255, 255, 255);
    position: absolute;
    border-radius: 10rem 10rem;
    border: 1px solid rgba(0, 0, 0, 0.425);
    z-index: 10;
    padding: 0.2rem;
}

.project-box-info {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.project-box-info h4 {
    font-size: 1.2rem;
    font-weight: 600;
    line-height: 1.3;
}

.project-box-info p {
    font-size: 0.9rem;
    color: var(--text-muted);
    flex: 1;
}

body.light-mode .project-box-info p {
    color: var(--text-dark);
}

.project-box-info-lenguajes {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
}

.technology-item {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 0.8rem;
    padding: 4px 8px;
    background: rgba(255, 255, 255, 0.1);
    border-radius: 4px;
    cursor: default;
}

body.light-mode .technology-item {
    background: #e2e8f0;
}

.technology-item img {
    width: 16px;
    height: 16px;
}

.project-box-info-btn {
    display: flex;
    gap: 1rem;
    margin-top: auto;
}

.project-box-info-btn a {
    flex: 1;
    padding: 0.6rem;
    text-align: center;
    border-radius: 6px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid var(--border-dark);
    font-size: 0.9rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
}

body.light-mode .project-box-info-btn a {
    background: #f1f5f9;
    border: 1px solid var(--border-light);
}

.project-box-info-btn a:hover {
    background: var(--primary);
    border-color: var(--primary);
    background-color: var(--primary);
}


body.light-mode .project-box-info-btn a:hover {
    background-color: #2d56dfba;
    color: rgb(255, 255, 255)
}

.project-box-info-btn img {
    width: 16px;
    filter: invert(1);
}

body.light-mode .project-box-info-btn img {
    filter: invert(0);
}

body.light-mode .project-box-info-btn a:hover img {
    filter: invert(1);
}

/* ----- CONTACT SECTION ----- */
.contact-info {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    padding: 20px 30px;
    width: 100%;
    height: 315px;
    background: var(--bg-card-dark);
    border: 1px solid var(--border-dark);
    border-radius: 10px;
    box-shadow: var(--shadow-md);
    overflow: hidden;
}

body.light-mode .contact-info {
    background: var(--bg-card-light);
    border: 1px solid var(--border-light);
}

.contact-info>h2 {
    color: var(--text-light);
    margin-bottom: 20px;
}

body.light-mode .contact-info>h2 {
    color: var(--text-dark);
}

.contact-info a {
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: center;
    margin-block: 5px;
    font-size: 1.1rem;
    color: var(--text-muted);
}

body.light-mode .contact-info a {
    color: var(--text-dark);
}

.contact-info a:hover {
    color: var(--primary);
}

.form-control {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.form-inputs {
    display: flex;
    gap: 1rem;
}

.input-field,
textarea {
    width: 100%;
    padding: 1rem;
    background: var(--bg-card-dark);
    border: 1px solid var(--border-dark);
    border-radius: 8px;
    color: var(--text-light);
    outline: none;
    transition: 0.3s;
}

body.light-mode .input-field,
body.light-mode textarea {
    background: var(--bg-card-light);
    border: 1px solid var(--border-light);
    color: var(--text-dark);
}

.input-field:focus,
textarea:focus {
    border-color: var(--primary);
}

textarea {
    resize: vertical;
    min-height: 150px;
}

#success {
    color: var(--text-muted);
    margin-top: 0.4rem;
}

body.light-mode #success {
    color: var(--text-dark);
}

/* ----- LAYOUT HELPERS ----- */
.row {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 0px 20px;
    gap: 50px;
}

.col {
    width: 50%;
    word-break: break-word;
    overflow-wrap: break-word;
}

/* ----- LIGHTBOX ----- */
.lightbox {
    display: none;
    position: fixed;
    z-index: 2000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.9);
    justify-content: center;
    align-items: center;
}

.lightbox-content {
    margin: auto;
    display: block;
    max-width: 90%;
    max-height: 90vh;
    animation-name: zoom;
    animation-duration: 0.6s;
    border-radius: 8px;
    box-shadow: 0 0 20px rgba(255, 255, 255, 0.2);
}

.close {
    position: absolute;
    top: 20px;
    right: 40px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
    cursor: pointer;
    z-index: 2001;
}

.close:hover,
.close:focus {
    color: var(--primary);
    text-decoration: none;
    cursor: pointer;
}

/* Lightbox Navigation */
.prev,
.next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -50px;
    color: white;
    font-weight: bold;
    font-size: 20px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
    -webkit-user-select: none;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 2002;
}

.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

.prev {
    left: 0;
    border-radius: 3px 0 0 3px;
}

.prev:hover,
.next:hover {
    background-color: rgba(0, 0, 0, 0.8);
    color: var(--primary);
}

@keyframes zoom {
    from {
        transform: scale(0)
    }

    to {
        transform: scale(1)
    }
}

/***/
#timeline {
    max-width: 1000px;
    margin: auto;
}

/* ITEM */

.timeline-item {
    position: relative;
    padding-left: 60px;
    margin-bottom: 40px;
}

.timeline-item::before {
    content: "";
    position: absolute;
    left: 18px;
    top: 0;
    bottom: -40px;
    width: 3px;
    background: var(--text-muted);
}

.timeline-item:last-child::before {
    bottom: 50%;
}

/* PUNTO */

.timeline-dot {
    position: absolute;
    left: 8px;
    top: 15px;

    width: 20px;
    height: 20px;

    border-radius: 50%;

    background: gray;

    border: 3px solid white;

    z-index: 10;
}

/* TARJETA */

.timeline-content {
    background: var(--bg-card-dark);

    padding: 20px;

    border-radius: 15px;

    box-shadow:
        0 4px 15px rgba(0, 0, 0, .1);

    transition: .3s;
}

body.light-mode .timeline-content {
    background: var(--bg-card-light);
    border: 1px solid var(--border-light);

}

.timeline-content:hover {

    transform: translateY(-3px);

    box-shadow:
        0 10px 25px rgba(0, 0, 0, .15);
}

.timeline-content h3,
.timeline-content h4 {
    margin-bottom: 10px;
    color: var(--text-dark);
}

.timeline-date {
    display: block;
    margin-bottom: 10px;
    color: var(--text-muted);
}

/* IMAGEN */

.timeline-img {

    width: 100%;

    max-height: 220px;

    object-fit: cover;

    border-radius: 10px;

    margin-bottom: 15px;

    cursor: pointer;
}

/* NIVELES */

.level-1 {
    margin-left: 40px;
}

.level-2 {
    margin-left: 80px;
}

/* BOTON */

.view-all-btn {

    display: block;

    margin: 30px auto;

    padding: 12px 25px;

    border: none;

    border-radius: 10px;

    cursor: pointer;

    background: orange;

    color: white;

    font-size: 15px;

    transition: .3s;
}

.view-all-btn:hover {

    transform: translateY(-2px);
}

/* MODAL ESTUDIOS */

.studies-modal {

    display: none;

    position: fixed;

    inset: 0;

    background: rgba(0, 0, 0, .8);

    z-index: 9999;

    overflow-y: auto;

}


.studies-modal.light-mode {
    background: orange;
    color: var(--text-dark);
}


.studies-modal-content {

    width: 90%;

    max-width: 1200px;

    margin: 40px auto;

    background: white;

    border-radius: 15px;

    padding: 30px;

    position: relative;
}

#allStudiesContainer {
    margin-top: 30px;
}

.close-studies-modal {

    position: absolute;

    top: 10px;

    right: 20px;

    font-size: 40px;

    cursor: pointer;
}

/* MODAL IMAGEN */

.image-modal {

    display: none;

    position: fixed;

    inset: 0;

    background: rgba(0, 0, 0, .9);

    z-index: 10000;

    justify-content: center;

    align-items: center;
}

.image-modal img {

    max-width: 90%;

    max-height: 90%;
}

.close-modal {

    position: absolute;

    top: 20px;

    right: 30px;

    color: white;

    font-size: 40px;

    cursor: pointer;
}

/**/



/* ----- FOOTER ----- */
footer {
    padding: 4rem;
    text-align: center;
    backdrop-filter: blur(10px);
    border-top: 0.05px var(--border-dark);
    width: 100%;
    margin-top: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

body.light-mode footer {
    background: #e2e8f0;
}

.footer-social-icons {
    display: flex;
    gap: 30px;
    justify-content: center;
    height: 4rem;
}

.footer-social-icons .icon-i {
    background-color: rgba(255, 255, 255, 0.112);
}

.footer-social-icons .icon-i:hover {
    background-color: rgba(255, 255, 255, 0.385);
}

.bottom-footer p {
    color: var(--text-muted);
}

body.light-mode .bottom-footer p {
    color: var(--text-dark);
}

/* Oculta el texto adicional que aparece al lado */
.goog-te-gadget span {
    display: none !important;
}

/* Oculta TODO el texto dentro del gadget */
.goog-te-gadget {
    font-size: 0 !important;
}

.goog-te-combo {
    font-size: 14px !important;
}


/* ----- ANIMATED BACKGROUND ----- */
.background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    overflow: hidden;
    pointer-events: none;
    background: var(--bg-dark);
}

body.light-mode .background {
    background: var(--bg-light);
}

.background span {
    position: absolute;
    display: block;
    width: 20px;
    height: 20px;
    background: rgba(255, 255, 255, 0.05);
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.05);
    border-radius: 50%;
    animation: animate 25s linear infinite;
    bottom: -150px;
}

body.light-mode .background span {
    background: rgba(0, 0, 0, 0.05);
}

.background span:nth-child(1) {
    left: 25%;
    width: 80px;
    height: 80px;
    animation-delay: 0s;
}

.background span:nth-child(2) {
    left: 10%;
    width: 20px;
    height: 20px;
    animation-delay: 2s;
    animation-duration: 12s;
}

.background span:nth-child(3) {
    left: 70%;
    width: 20px;
    height: 20px;
    animation-delay: 4s;
}

.background span:nth-child(4) {
    left: 40%;
    width: 60px;
    height: 60px;
    animation-delay: 0s;
    animation-duration: 18s;
}

.background span:nth-child(5) {
    left: 65%;
    width: 20px;
    height: 20px;
    animation-delay: 0s;
}

.background span:nth-child(6) {
    left: 15%;
    width: 110px;
    height: 110px;
    animation-delay: 3s;
}

.background span:nth-child(7) {
    left: 35%;
    width: 150px;
    height: 150px;
    animation-delay: 7s;
}

.background span:nth-child(8) {
    left: 50%;
    width: 25px;
    height: 25px;
    animation-delay: 15s;
    animation-duration: 45s;
}

.background span:nth-child(9) {
    left: 20%;
    width: 15px;
    height: 15px;
    animation-delay: 2s;
    animation-duration: 35s;
}

.background span:nth-child(10) {
    left: 85%;
    width: 150px;
    height: 150px;
    animation-delay: 0s;
    animation-duration: 11s;
}

@keyframes animate {
    0% {
        transform: translateY(0) rotate(0deg);
        opacity: 1;
        border-radius: 0;
    }

    100% {
        transform: translateY(-1000px) rotate(720deg);
        opacity: 0;
        border-radius: 50%;
    }
}

/* ----- RESPONSIVE ----- */
@media (max-width: 900px) {
    .nav-container {
        display: flex;
        justify-content: space-between;
        padding-inline: 1rem;
    }

    .social_icons {
        margin-right: 3.5rem;
    }

    .nav-menu {
        position: fixed;
        top: 80px;
        left: -100%;
        flex-direction: column;
        justify-content: center;
        width: 100%;
        height: calc(100vh - 80px);
        background: var(--bg-dark);
        transition: 0.3s;
    }

    body.light-mode .nav-menu {
        background: var(--bg-light);
    }

    .nav-menu.responsive {
        left: 0px;
    }

    .nav-menu ul {
        flex-direction: column;
        align-items: center;
        margin-top: 1rem;
        text-align: center;
    }

    .nav-menu-btn {
        display: flex;
    }

    .featured-name {
        font-size: 2.2rem;
    }

    .nav-button {
        gap: 1rem;
        display: flex;
        flex-direction: column;
        height: auto;
    }

    .featured-container {
        flex-direction: column-reverse;
        padding-top: 6rem;
        min-height: 100vh;
    }

    .featured-text {
        text-align: center;
        align-items: center;
        margin-bottom: 100px;

    }

    .image {
        width: 250px;
        height: 250px;
    }

    .row {
        flex-direction: column;
    }

    .col {
        width: 100%;
    }

    .form-inputs {
        flex-direction: column;
    }
}

/* ----- UTILITIES ----- */
.hidden {
    display: none !important;
}



#videoModal {
    position: fixed;
    inset: 0;
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

/* Fondo con blur */
.video-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(12px);
    background: rgba(0, 0, 0, 0.6);
}

/* Contenido */
#videoModal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    opacity: 0;
    transition: opacity 0.2s ease;
}

#videoModal.active {
    opacity: 1;
}

.video-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.9);
}

body.light-mode .video-overlay {
    background-color: rgba(0, 0, 0, 0.329);
    position: absolute;
    width: 100%;
    height: 100%;
}

.video-content {
    position: relative;
    width: 90%;
    max-width: 900px;
    margin: auto;
    z-index: 10000;
}

.video-content iframe {
    width: 100%;
    aspect-ratio: 16/9;
    /* Mantiene proporción */
    border-radius: 8px;
}

.close-video {
    position: absolute;
    top: -40px;
    right: 0;
    font-size: 40px;
    color: white;
    cursor: pointer;
    transition: transform 0.2s;
}

.close-video:hover {
    transform: scale(1.2);
}